#ifndef __Flow_h__
# define __Flow_h__

#include "HTTPParameters.h"
#include "MString.h"

namespace http {

   class Flow {

    public:
      Flow();

      virtual bool action(HTTPParameters &p);

      coreutils::ZString getId();

    protected:
      char actionId[64];
      const char *hex = "0123456789ABCDEF";

   };

}

#endif
